<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG,$USER,$COURSE;
require_once ($CFG->dirroot . '/mod/choice/lib.php'); // choice support

// get choice object
$choiceid = optional_param('id', null,PARAM_INTEGER); // id of instance
if(!$choice = choice_get_choice($choiceid)){
    momo_print_error('error_parameter');
}

/// handle authentication
momo_login_to_course($choice->course);

// get course module object
if(!$cm = get_coursemodule_from_instance('choice', $choiceid)){
    momo_print_error('error_parameter');
}

// get possible previous answer
$answer = get_record('choice_answers', 'choiceid', $choiceid, 'userid', $USER->id);

$vote_allowed = true;

if(!empty($answer) && !$choice->allowupdate){ // do not show options if already voted and no update is allowed
   $vote_allowed = false;
}

// add log message (needed for reports)
add_to_log($COURSE->id, 'choice', 'view', "view.php?id=$cm->id", $choice->id, $cm->id);

?>
<ps t="<?php print_string('modulename','choice')?>" s="false" bo="true" back="<?php echo(momo_get_back_url($COURSE->id)) ?>" >
<pa>
<?php momo_print_header($choice->name, 'mod_choice') ?>
<font class="h3"/><?php echo($choice->text)?><font class="std"/><br align="left"/><hr/>
<?php if($vote_allowed){
     momo_print_string('lbl_choice_choose')?><br/>
<?php } ?>
<upload type="form">
<upload type="hidden" name="choiceid" value="<?php echo($choiceid)?>">
<?php
    // enable/disable options
    $enabled = ($vote_allowed) ? "false" : "true";

    // print choice options
   foreach ($choice->option as $optionid => $optiontext) {
        $checked = "false"; // mind the quotation marks!
        if(!empty($answer)){
            // preselect the previously chosen option
            $checked = ($optionid == $answer->optionid) ? "true" : "false";
        }


?>
<checkbox id="<?php echo($optionid) ?>" checked="<?php echo($checked)?>" group="option" disabled="<?php echo($enabled)?>"/> <?php echo($optiontext)?><br/>
<?php } ?>
<?php if($vote_allowed){ ?>
<upload type="submit" url="choice/choice_result.php" location="<?php echo($CFG->momo_mle_server_link)?>" dt="l" di="<?php momo_print_icon_path('ok')?>" menuTag="<?php momo_print_string('nav_submit')?>" full="false" /><br/>
<?php } ?>
<hr/><image type="l" url="<?php momo_print_icon_path('info')?>"/>
<?php
if(!empty($answer)){  ?>
<?php momo_print_string('msg_choice_last_answer',$choice->option[$answer->optionid])?><br/>
<?php
   if($vote_allowed){ ?>
<?php momo_print_string('msg_choice_update_allowed')?><br/>
<?php }
  }
else{ ?>
<?php momo_print_string('msg_choice_no_answer')?><br/>
<?php }?>
</page>
</pagesuite>